Skip to main content
POST
/
members
/
{member_guid}
/
credentials
(Deprecated) Member credentials
curl --request POST \
  --url https://int-data.moneydesktop.com/members/{member_guid}/credentials \
  --header 'Content-Type: application/vnd.mx.nexus.v1+json' \
  --header 'MD-SESSION-TOKEN: <api-key>' \
  --data '{}'
{
  "member_credential": {
    "guid": "MCR-1b2f1146-d54f-510f-84fc-b4cb61cfdcff",
    "credential_guid": "CRD-19d57512-81e3-1136-b84e-0c46b62a5d7a",
    "member_guid": "MBR-7aa13bdb-2866-ba38-b326-d9fb32268f9b",
    "created_at": "2013-05-02T11:19:35.000Z",
    "updated_at": "2013-05-02T11:19:35.000Z",
    "metadata": "Additional information"
  }
}

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Path Parameters

member_guid
string
required

The unique identifier for the member. Defined by MX.

Body

application/vnd.mx.nexus.v1+json
member
object

Response

200 - application/vnd.mx.nexus.v1+json

OK

member_credential
object